## hpklinux-3.08.06.tar.bz2

=== lib/python/Makefile ===
#$Header: /Repository/drv/hpi/python/hpi_swig_python.mak,v 1.1.2.1 2007/11/12 19:36:57 as-ewb Exp $
# Makefile for HPI python bindings.
# NOT yet made by autoconf, so you may have to edit the include paths
# Requires swig and python-dev

VPATH = ..
INCLUDES = -I..
# For 64 bit build. Still don't know how to detect at compile time??
#DEFS = -DHPI_OS_LINUX -DHPI_EXCLUDE_IMPLEMENTATION -DHPI_64BIT
DEFS = -DHPI_OS_LINUX -DHPI_EXCLUDE_IMPLEMENTATION -DHPI_EXCLUDE_DEPRECATED
CDEBUG = -g
CFLAGS = -Wall $(CDEBUG) -I. $(INCLUDES) $(DEFS)
LDFLAGS = -g

PYTHONINCLUDE=-I/usr/include/python2.5 -I/usr/include/python


all: _hpi.so _hpiudp.so

_hpiudp.so: hpiudp_swig.o
	gcc -shared  -lhpiudp -o $@ $^


_hpi.so: hpi_swig.o hpirds.o
	gcc -shared -lhpi -o $@ $^

hpi_swig.c hpi.py: ../hpi.i ../hpi.h ../hpirds.h
	swig -python -module hpi -modern $(DEFS) -o hpi_swig.c ../hpi.i

hpi_swig.o: hpi_swig.c
	gcc -c -fpic hpi_swig.c -I.. $(DEFS) $(PYTHONINCLUDE)


hpiudp_swig.c hpiudp.py: ../hpi.i ../hpi.h
	swig -python -module hpiudp -modern $(DEFS) -o hpiudp_swig.c ../hpi.i

hpiudp_swig.o: hpiudp_swig.c
	gcc -c -fpic hpiudp_swig.c -I.. $(DEFS) $(PYTHONINCLUDE)

$(OBJECTS): hpi.h hpios_linux.h

.PHONY: clean install

install:
	cp hpiudp.py ~/python/audioscience
	cp hpi.py ~/python/audioscience
	cp _hpiudp.so ~/python/audioscience
	cp _hpi.so ~/python/audioscience

clean:
	rm *.so *.o *_swig.c

#$Log: hpi_swig_python.mak,v $
#Revision 1.1.2.1  2007/11/12 19:36:57  as-ewb
#copy from head
#

=== debian/changelog ===
hpklinux (3.07.19-1) unstable; urgency=low

  * New upstream release 3.07.19  See source drvnotes.txt, drvnotes_rc.txt for full details
  * ASI8920,ASI6585 improvements
  * ASI2400 convert to mono mixer
  * ASI4215/ASI43xx - MPEG playback fix
 -- AudioScience Linux Developers <linux@audioscience.com>  Fri, 07 Sep 2007 15:00:00 +1200

hpklinux (3.07.12-1) unstable; urgency=low

  * New upstream release 3.07.12  See source drvnotes.txt, drvnotes_rc.txt for full details
  * ASI8920 add AM module
  * Add dev class creation, allows udev to create asihpi device file
 -- AudioScience Linux Developers <linux@audioscience.com>  Fri, 20 Jul 2007 15:09:00 +1200

hpklinux (3.07.08-1) unstable; urgency=low

  * New upstream release 3.07.08  See source drvnotes.txt, drvnotes_rc.txt for full details
  * New models: 6511,6611,6518,6618
  *   ASI8900 tuner with RDS
  * Fixed: ASI6416 occasional startup problems
  * Changed: hpi6205 uses 2^N size BBM buffers. ASI6416 supports UDP
 -- AudioScience Linux Developers <linux@audioscience.com>  Tue, 30 Jan 2007 11:43:00 +1200

hpklinux (3.05.10-1) unstable; urgency=low

  * New upstream release 3.05.10  See source drvnotes.txt, drvnotes_rc.txt for full details
  * Fix 64 bit compile
 -- AudioScience Linux Developers <linux@audioscience.com>  Tue, 30 Jan 2007 11:43:00 +1200

hpklinux (3.05.07-1) unstable; urgency=low

  * New upstream release 3.05.07  See source drvnotes.txt, drvnotes_rc.txt for full details
  * ASI6416 control caching and SRC init fix

 -- AudioScience Linux Developers <linux@audioscience.com>  Tue, 19 Dec 2006 10:59:00 +1200

hpklinux (3.05.05-1) unstable; urgency=low

  * New upstream release 3.05.05  See source drvnotes.txt, drvnotes_rc.txt for full details
  * Change location of firmware install to /lib/firmware
  * 64 bit compatibility

 -- AudioScience Linux Developers <linux@audioscience.com>  Tue, 19 Dec 2006 10:59:00 +1200

hpklinux (3.00-1) unstable; urgency=low

  * New upstream release.

 -- Federico Grau <grauf@rfa.org>  Mon, 24 Jul 2006 15:28:31 -0400

hpklinux (2.96-9) unstable; urgency=low

  * Remove dh_clean from the install rules.  It was cleaning out needed files
    between the multiple binary targts.

 -- Federico Grau <grauf@rfa.org>  Fri,  3 Feb 2006 16:05:54 -0500

hpklinux (2.96-8) unstable; urgency=low

  * This should now be functional for the regular packages and the -source /
    -module package also.

 -- Federico Grau <grauf@rfa.org>  Thu,  2 Feb 2006 19:46:50 -0500

hpklinux (2.96-7) unstable; urgency=low

  * Add more directories to the hpklinux-source package.

 -- Federico Grau <grauf@rfa.org>  Thu,  2 Feb 2006 18:23:21 -0500

hpklinux (2.96-6) unstable; urgency=low

  * the try again build

 -- Federico Grau <grauf@rfa.org>  Thu,  2 Feb 2006 18:13:39 -0500

hpklinux (2.96-5) unstable; urgency=low

  * Massage some more ...argh!!! (working on hpklinux-source now).

 -- Federico Grau <grauf@rfa.org>  Thu,  2 Feb 2006 17:50:46 -0500

hpklinux (2.96-4) unstable; urgency=low

  * Add the init script to hpkutils-utils

 -- Federico Grau <grauf@rfa.org>  Wed,  1 Feb 2006 15:44:56 -0500

hpklinux (2.96-3) unstable; urgency=low

  * and try again :-/

 -- Federico Grau <grauf@rfa.org>  Tue, 31 Jan 2006 16:47:30 -0500

hpklinux (2.96-2) unstable; urgency=low

  * correct missing library. in libhpi sub-package

 -- Federico Grau <grauf@rfa.org>  Tue, 31 Jan 2006 16:29:16 -0500

hpklinux (2.96-1) unstable; urgency=low

  * new upstream release

 -- Federico Grau <grauf@rfa.org>  Thu, 26 Jan 2006 19:52:23 -0500

=== debian/control ===
Source: hpklinux
Section: sound
Priority: optional
# FIXME: correct build-depends
Build-Depends: debhelper (>> 4.0)
Maintainer: Alban Peignier <alban.peignier@free.fr>
Standards-Version: 3.6.2

Package: hpklinux-source
Architecture: all
Depends: module-assistant, ${misc:Depends}, debhelper (>> 4.0)
Suggests: fakeroot
Description: source for the hpklinux driver
 This package provides the source code for the hpklinux kernel module,
 a linux kernel driver to allow AudioScience cards to be controlled using the
 HPI API.  This API is documented in
 http://www.audioscience.com/internet/download/spchpi.pdf
 .
 In order to compile these modules you need the kernel sources (or the
 kernel-headers for the kernel-image packages from Debian). For compile
 instructions look into /usr/share/doc/hpklinux-source/README.Debian or simply
 use the module-assistant utility.
 .
 The project's homepage can be found here:
 http://www.salemradiolabs.com/rivendell/

Package: hpklinux-utils
Architecture: all
Description: firmware and loading utils for hpklinux driver
 This package provides the firmware and loading utilities for the hpklinux
 driver to control AudioScience cards.

Package: libhpi
Architecture: all
Description: libraries for the hpklinux driver
 This package provides the shared libraries for the hpklinux drvier driver to
 control AudioScience cards.

Package: libhpiudp
Architecture: all
Description: libraries for network HPI
 This package provides the shared libraries for network
 control of AudioScience networked adapters.

Package: libhpi-dev
Architecture: all
Depends: libhpi (= ${Source-Version})
Description: libraries for the hpklinux driver
 This package provides the shared libraries for the hpklinux drvier driver to
 control AudioScience cards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



### KERNEL SETUP
### module-assistant rules to prepare a source package to generate custom
### kernel modules.

PACKAGE=hpklinux-module
psource=hpklinux-source

MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

# This has to be exported to make some magic below work.
export DH_OPTIONS
export NAME = hpklinux-$(VERSION)
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

MAJOR=$(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/')

kdist_clean:
	dh_clean
	-make -C drv clean
	-make -C v4l clean

# prep-deb-files rewrites the debian/ files as needed. See RATIONALE for
# details

kdist_config: prep-deb-files
kdist_configure: kdist_config

# nothing else to configure more things in this package, $(MAJOR) above
# is everything needed

# the binary-modules target prepares the $(pmodules) package.
# It is called by module-assistant and *not* during a normal build
binary-modules: prep-deb-files
	dh_testdir
	dh_testroot
	dh_clean -k
	./configure --prefix=/usr --with-kernel=$(KSRC) --with-build=$(KSRC)
	make
	install -m644 -b -D drv/asihpi.ko $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/kernel/extra/asihpi.ko
	install -m644 -b -D v4l/radio-asihpi.ko $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/kernel/extra/radio-asihpi.ko
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)



### end  KERNEL SETUP


#
# configure and build of package utilities and libraries.

configure: configure-stamp
configure-stamp:
	dh_testdir

	# for the debian package, the kernel module is not compiled.  Instead it is
	# packaged so users can compile their own custom kernel module.
	./configure --prefix=/usr --with-firmware=`pwd`/debian/tmp/lib/firmware/ --disable-kernel-compile

	touch configure-stamp


build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Architecture dependant build.
	$(MAKE)

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Nothing to build for architecture independence.

	touch build-indep-stamp

build: build-arch build-indep


clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp install-arch-stamp install-indep-stamp debian/hpklinux-utils.init

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) distclean

	dh_clean

##install: install-indep install-arch build
install-arch: build install-arch-stamp
install-arch-stamp:
	dh_testdir
	dh_testroot
#	dh_clean -k -i
	dh_installdirs -i

	# Add here commands to install the remaining package components
###	$(MAKE) prefix=`pwd`/debian/tmp install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
### $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

	dh_install --sourcedir=debian/tmp --autodest
	touch install-arch-stamp


install-indep: build install-indep-stamp
install-indep-stamp:
	dh_testdir
	dh_testroot
#	dh_clean -k -i
	dh_installdirs -i

##	# Create the directories to install the source into
	dh_installdirs -p$(psource) usr/src/modules/$(PACKAGE)/debian

	# Copy files required to compile the driver source
	cp configure\
		aclocal.m4\
		configure.in\
		config.guess\
		config.status\
		config.sub\
		depcomp\
		hpklinux.spec.in\
		install-sh\
		libtool\
		ltmain.sh\
		missing\
		Makefile\
		Makefile.in\
		Makefile.am\
		\
		debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -a firmware debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -a alsa debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -a drv debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -a v4l debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -a lib debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -a test debian/$(psource)/usr/src/modules/$(PACKAGE)
	cp -f -a *slack* debian/$(psource)/usr/src/modules/$(PACKAGE)
	make -C debian/$(psource)/usr/src/modules/$(PACKAGE) clean

	# Copy the needed debian/ pieces to the proper location
	cd debian ; cp changelog compat control *.modules.in rules copyright \
	        $(psource)/usr/src/modules/$(PACKAGE)/debian/
	cd debian/$(psource)/usr/src && \
	        tar c modules | gzip -9 > hpklinux-source.tar.gz && rm -rf modules

	touch install-indep-stamp


install:  install-arch install-indep



binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	cp drv/asihpi.rules debian/hpklinux-utils.udev
	dh_installudev --priority=45
	# Bring in Fred's init script, to be installed to the debian system.
	cp drv/asihpi debian/hpklinux-utils.init
	dh_installinit --no-start
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
##binary-indep: install-indep binary-common
binary-indep: build install binary-common
##	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build install binary-common

binary: binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary install install-indep install-arch
